## kde-artwork-active 0.4

=== CMakeLists.txt ===
project(plasma-mobile)
cmake_minimum_required (VERSION 2.8)

find_package(KDE4 REQUIRED)

include(KDE4Defaults)

if (NOT DEFINED SCREEN_RESOLUTION)

    set(SCREEN_RESOLUTION 1366x768)
endif (NOT DEFINED SCREEN_RESOLUTION)
message("-- installing artwork for screen resolution of ${SCREEN_RESOLUTION}")

install(FILES splash/main.qml
              splash/Preview.png
              splash/Theme.rc
        DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/ActiveAir)

install(DIRECTORY splash/images
        DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/ActiveAir/)

# Lockscreen
install(DIRECTORY lockscreen/contents
        DESTINATION ${DATA_INSTALL_DIR}/ksmserver/screenlocker/org.kde.active.slide/ PATTERN .svn EXCLUDE)
install(FILES lockscreen/metadata.desktop
        DESTINATION ${DATA_INSTALL_DIR}/ksmserver/screenlocker/org.kde.active.slide/)


install(FILES
            wallpaper/${SCREEN_RESOLUTION}/Orchid.jpg
            wallpaper/${SCREEN_RESOLUTION}/CarribeanSunset.jpg
            wallpaper/${SCREEN_RESOLUTION}/Cactus.jpg
            wallpaper/${SCREEN_RESOLUTION}/RedFlower.jpg
            wallpaper/${SCREEN_RESOLUTION}/Dome.jpg
            wallpaper/${SCREEN_RESOLUTION}/Reichstag.jpg
            wallpaper/${SCREEN_RESOLUTION}/Sky.jpg
            wallpaper/${SCREEN_RESOLUTION}/PotsdamerPlatz.jpg
            wallpaper/${SCREEN_RESOLUTION}/PalmLeave.jpg
            wallpaper/${SCREEN_RESOLUTION}/default_wallpaper.png
            wallpaper/${SCREEN_RESOLUTION}/wallpaper-kdelogo.png
        DESTINATION ${WALLPAPER_INSTALL_DIR})

=== debian/changelog ===
kde-artwork-active (1:0.4-0ubuntu1) saucy; urgency=low

  * New upstream release LP: #1227602
  * Use epoch to reset version number in line with upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Sep 2013 11:46:51 +0100

kde-artwork-active (1.0+svn2012022702-0ubuntu2) saucy; urgency=low

  * debian/control: Fix missing word in short package description 
    (LP: #1169931).

 -- Paolo Rotolo <paolorotolo@ubuntu.com>  Sat, 04 May 2013 19:37:08 +0200

kde-artwork-active (1.0+svn2012022702-0ubuntu1) precise; urgency=low

  * New svn snapshot.
  * Set package architecture to all.

 -- Rodrigo Belem <rbelem@ubuntu.com>  Mon, 27 Feb 2012 20:42:47 -0400

kde-artwork-active (1.0+svn2012021601-0ubuntu1) precise; urgency=low

  * Initial release

 -- Rodrigo Belem <rbelem@ubuntu.com>  Thu, 16 Feb 2012 13:56:27 -0400

=== debian/control ===
Source: kde-artwork-active
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodrigo Belem <rbelem@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), cmake, pkg-kde-tools (>= 0.12),
 kdelibs5-dev
Standards-Version: 3.9.3

Package: kde-artwork-active
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: themes, styles and more from the artwork of KDE active
 This package includes a collection of artistic extras (themes, widget styles,
 screen savers, wallpaper, icons, emoticons and so on).
 .
 This package is part of the Plasma Contour Active Platform.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

NAME?=kde-artwork-active
VERSION?=1.0+svn$(shell date +%Y%m%d)02
DIRNAME?=$(NAME)-$(VERSION)
TARFILE?=$(NAME)_$(VERSION).orig.tar.gz

get-orig-source:
	svn export svn://anonsvn.kde.org/home/kde/trunk/playground/base/plasma/kde-artwork-active/ ../$(DIRNAME)
	(cd .. && tar -czf $(TARFILE) $(DIRNAME))
	rm -rf ../$(DIRNAME)

../$(TARFILE): get-orig-source

.PHONY: override_dh_auto_test

## kde-artwork-active 1.0+svn2012022702

=== CMakeLists.txt ===
project(plasma-mobile)
cmake_minimum_required (VERSION 2.8)

find_package(KDE4 REQUIRED)

include(KDE4Defaults)

install(FILES splash/main.qml
              splash/Preview.png
              splash/Theme.rc
        DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/ActiveAir)

install(FILES splash/images/active-logo-1.png
              splash/images/active-logo-2.png
              splash/images/active-logo-3.png
              splash/images/background.png
              splash/images/bottomleft-smallvine-3.png
              splash/images/bottomleft-vine-1.png
              splash/images/bottomleft-vine-2.png
              splash/images/bottomleft-vine-3.png
              splash/images/bottomleft-vine-4.png
              splash/images/bottomleft-vine-5.png
              splash/images/spinner.png
              splash/images/topright-vine-2.png
              splash/images/topright-vine-3.png
              splash/images/topright-vine-4.png
        DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/ActiveAir/images)

install(FILES lockscreen/lockscreen-active.qml
              lockscreen/SliderSwitch.qml
              lockscreen/unlock-normal.png
              lockscreen/unlock-pressed.png
              lockscreen/sleep-normal.png
              lockscreen/sleep-pressed.png
              lockscreen/shutdown-normal.png
              lockscreen/shutdown-pressed.png
              lockscreen/slider-background.png
              lockscreen/wallpaper.png
        DESTINATION ${DATA_INSTALL_DIR}/kscreenlocker)

add_subdirectory(wallpaper)

=== debian/control ===
Source: kde-artwork-active
Section: kde
Priority: optional
Maintainer: Rodrigo Belem <rbelem@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), cmake, pkg-kde-tools (>= 0.12),
 kdelibs5-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/

Package: kde-artwork-active
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: themes, styles and more from the of KDE active
 This package includes a collection of artistic extras (themes, widget styles,
 screen savers, wallpaper, icons, emoticons and so on).
 .
 This package is part of the Plasma Contour Active Platform.
